Opened 7 years ago

Closed 6 years ago

Last modified 6 years ago

#42748 closed submission (fixed)

New port: py-ly @0.4

Reported by: dliessi (Davide Liessi) Owned by: petrrr
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: py-ly

Description

The python-ly package provides a Python library and a commandline tool that can be used to parse and manipulate LilyPond source files.

Attachments (1)

Portfile (1.1 KB) - added by dliessi (Davide Liessi) 7 years ago.

Download all attachments as: .zip

Change History (10)

Changed 7 years ago by dliessi (Davide Liessi)

Attachment: Portfile added

comment:1 Changed 7 years ago by petrrr

I would propose to keep the name slightly more compact, i.e. py-ly.

comment:2 in reply to:  1 Changed 7 years ago by dliessi (Davide Liessi)

Replying to Peter.Danecek@…:

I would propose to keep the name slightly more compact, i.e. py-ly.

Are there any other ports that were renamed like this? If this is what is usually done, I wouldn't object to this.

comment:3 Changed 6 years ago by petrrr

Cc: petr@… added

Cc Me!

comment:4 Changed 6 years ago by petrrr

Owner: changed from macports-tickets@… to petr@…
Status: newassigned

comment:5 Changed 6 years ago by petrrr

Cc: petr@… removed

Cc Me!

comment:6 Changed 6 years ago by petrrr

Port: py-ly added; py-python-ly removed
Resolution: fixed
Status: assignedclosed
Summary: New port: py-python-ly @0.4New port: py-ly @0.4

Thanks for contributing this port!

In r130085 I added this port with some changes. I use the PyPI packages instead and added only py27 and py34 subports therefore it looks a bit different now.

comment:7 Changed 6 years ago by dliessi (Davide Liessi)

Thanks!

Is it better to use PyPI instead of GitHub? Should I use PyPI also with py-python-poppler-qt4?

Should I change the name of py-python-poppler-qt4 to py-poppler-qt4?

comment:8 in reply to:  7 ; Changed 6 years ago by petrrr

Replying to davide.liessi@…:

Thanks!

Is it better to use PyPI instead of GitHub? Should I use PyPI also with py-python-poppler-qt4?

Should I change the name of py-python-poppler-qt4 to py-poppler-qt4?

Sorry for the delay. I was pretty busy, so this dropped out.

I provided a general reply to the list. But I recall that specifically with this port the issue was also that the python-ly packages was part of a different repo "frescobaldi", so it became a bit mess and I thing livecheck did not work properly. I think this was the main motivation to switch here. Now, it looks like a separate repo was setup for ly. This statement is only memory based, I did not verify and might be wrong.

comment:9 in reply to:  8 Changed 6 years ago by dliessi (Davide Liessi)

Replying to petr@…:

But I recall that specifically with this port the issue was also that the python-ly packages was part of a different repo "frescobaldi", so it became a bit mess and I thing livecheck did not work properly. I think this was the main motivation to switch here.

I actually didn't check how livecheck behaved before submitting the port, so it might very likely have been the case.

Now, it looks like a separate repo was setup for ly.

Indeed.

Note: See TracTickets for help on using tickets.